<script context="module">
	import { ensureAuthenticated } from "./_auth.js"

	export async function preload(page, session) {
		ensureAuthenticated.call(this, page, session)

		const response = await this.fetch("/api/catalog", { credentials: "same-origin" })

		let catalog
		if (response.status === 404) {
			catalog = null
		} else if (!response.ok) {
			return this.error(response.status, "Unable to fetch Data Package catalog")
		}
		const data = await response.json()
		catalog = data.catalog
		return { catalog }
	}
</script>

<script>
	export let catalog = null
</script>

<h1>My data packages</h1>

<div class="toolbar">
	<a href="/data-packages/new">New data package</a>
</div>

{#if catalog}
	<ul>
		{#each catalog as { name }}
			<li> {name} </li>
		{/each}
	</ul>
{:else}
	<p>No Data Package yet</p>
{/if}
